Bug 6986 - Don't make Qt5CLucene private because it's used by other projects
: Don't make Qt5CLucene private because it's used by other projects
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-26 14:21 MSD by Andrey Bondrov
Modified: 2016-05-06 22:25 MSD (History)
1 user (show)

See Also:
RPM Package: qt5-qttools
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
ss (173.77 KB, image/png)
2016-04-27 17:17 MSD, Vladimir Potapov
Details
ss2 (151.85 KB, image/png)
2016-04-27 18:28 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2016-04-26 14:21:15 MSD
Don't make Qt5CLucene private because it's used by other projects. It should provide pkgconfig(Qt5CLucene).
Comment 1 Andrey Bondrov 2016-04-26 14:21:41 MSD
Advisory: "Don't make Qt5CLucene private because it's used by other projects. It should provide pkgconfig(Qt5CLucene)."

https://abf.io/build_lists/2636219
https://abf.io/build_lists/2636220
Comment 2 Vladimir Potapov 2016-04-27 17:17:03 MSD
Created attachment 4447 [details]
ss
Comment 3 Vladimir Potapov 2016-04-27 18:28:16 MSD
Created attachment 4448 [details]
ss2
Comment 4 Vladimir Potapov 2016-04-27 18:47:36 MSD
https://bugreports.qt.io/browse/QTBUG-53028
Comment 5 Vladimir Potapov 2016-04-27 18:48:24 MSD
(In reply to comment #1)
> Advisory: "Don't make Qt5CLucene private because it's used by other
> projects. It should provide pkgconfig(Qt5CLucene)."
> 
> https://abf.io/build_lists/2636219
> https://abf.io/build_lists/2636220
The update is sent to expanded testing
****************************************
Comment 6 Andrey Bondrov 2016-05-06 14:05:36 MSD
Same for Qt5DesignerComponents.

Advisory: "Don't make Qt5CLucene and Qt5DesignerComponents private because it's used by other projects. They should provide pkgconfig(Qt5CLucene) and pkgconfig(Qt5DesignerComponents)."

https://abf.rosalinux.ru/build_lists/2649140
https://abf.rosalinux.ru/build_lists/2649141
Comment 7 Vladimir Potapov 2016-05-06 21:10:05 MSD
qt5-qttools-5.6.0-7
https://abf.rosalinux.ru/build_lists/2649140
https://abf.rosalinux.ru/build_lists/2649141
************************* Advisory ******************************
Don't make Qt5CLucene and Qt5DesignerComponents private because it's used by other projects. They should provide pkgconfig(Qt5CLucene) and pkgconfig(Qt5DesignerComponents).
*****************************************************************
QA Verified